com.trendmicro.ds.platform.rest.object.administratorroles

## Class AdministratorRole

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.administratorroles.AdministratorRole

-     public class AdministratorRole
      extends java.lang.Object

  Transport object for administrator role details.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdministratorRole()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getAllHosts()` Get the value of the "all hosts" flag.
    `java.lang.Boolean` | `getAllowGUI()` Get the value of the "allow GUI access" flag.
    `java.lang.Boolean` | `getAllowWebService()` Get the value of the "allow Web Service access" flag.
    `java.lang.Boolean` | `getAllPolicies()` Get the value of the "all policies" flag.
    `java.lang.Boolean` | `getDelegate()` Get the value of the "delegate" flag.
    `java.lang.String` | `getDescription()` Get the role's description.
    `java.util.List<java.lang.Integer>` | `getHostGroups()` Get the list of host groups (IDs) associated with the role.
    `java.util.List<java.lang.Integer>` | `getHosts()` Get the list of hosts (IDs) associated with the role.
    `java.lang.String` | `getName()` Get the role's name.
    `java.util.List<java.lang.Integer>` | `getPolicies()` Get the list of policies (IDs) associated with the role.
    `java.lang.Boolean` | `getReadOnly()` Get the value of the "read-only" flag.
    `java.util.List<java.lang.String>` | `getRights()` Get the list of rights assigned to the role.
    `java.lang.Integer` | `getRoleID()` Get the administrator role ID.
    `java.lang.String` | `getURN()` Get the administrator role URN.
    `void` | `setAllHosts(java.lang.Boolean allHosts)` Set the value of the "all hosts" flag.
    `void` | `setAllowGUI(java.lang.Boolean allowGUI)` Set the value of the "allow GUI access" flag.
    `void` | `setAllowWebService(java.lang.Boolean allowWebService)` Set the value of the "allow Web Service access" flag.
    `void` | `setAllPolicies(java.lang.Boolean allPolicies)` Set the value of the "all policies" flag.
    `void` | `setDelegate(java.lang.Boolean delegate)` Set the value of the "delegate" flag.
    `void` | `setDescription(java.lang.String description)` Set the role's description.
    `void` | `setHostGroups(java.util.List<java.lang.Integer> hostGroups)` Set the list of host groups (IDs) associated with the role.
    `void` | `setHosts(java.util.List<java.lang.Integer> hosts)` Set the list of hosts (IDs) associated with the role.
    `void` | `setName(java.lang.String name)` Set the role's name.
    `void` | `setPolicies(java.util.List<java.lang.Integer> policies)` Set the list of policies (IDs) associated with the role.
    `void` | `setReadOnly(java.lang.Boolean readOnly)` Set the value of the "read-only" flag.
    `void` | `setRights(java.util.List<java.lang.String> rights)` Set the list of rights assigned to the role.
    `void` | `setRoleID(java.lang.Integer roleID)` Set the administrator role ID.
    `void` | `setURN(java.lang.String urn)` Set the administrator role URN.
    `AdministratorRole` | `withAllHosts(java.lang.Boolean allHosts)` Set the value of the "all hosts" flag.
    `AdministratorRole` | `withAllowGUI(java.lang.Boolean allowGUI)` Set the value of the "allow GUI access" flag.
    `AdministratorRole` | `withAllowWebService(java.lang.Boolean allowWebService)` Set the value of the "allow Web Service access" flag.
    `AdministratorRole` | `withAllPolicies(java.lang.Boolean allPolicies)` Set the value of the "all policies" flag.
    `AdministratorRole` | `withDelegate(java.lang.Boolean delegate)` Set the value of the "delegate" flag.
    `AdministratorRole` | `withDescription(java.lang.String description)` Set the role's description.
    `AdministratorRole` | `withHostGroups(java.lang.Integer... hostGroups)` Set the list of host groups (IDs) associated with the role.
    `AdministratorRole` | `withHostGroups(java.util.List<java.lang.Integer> hostGroups)` Set the list of host groups (IDs) associated with the role.
    `AdministratorRole` | `withHosts(java.lang.Integer... hosts)` Set the list of hosts (IDs) associated with the role.
    `AdministratorRole` | `withHosts(java.util.List<java.lang.Integer> hosts)` Set the list of hosts (IDs) associated with the role.
    `AdministratorRole` | `withName(java.lang.String name)` Set the role's name.
    `AdministratorRole` | `withPolicies(java.lang.Integer... policies)` Set the list of policies (IDs) associated with the role.
    `AdministratorRole` | `withPolicies(java.util.List<java.lang.Integer> policies)` Set the list of policies (IDs) associated with the role.
    `AdministratorRole` | `withReadOnly(java.lang.Boolean readOnly)` Set the value of the "read-only" flag.
    `AdministratorRole` | `withRights(java.util.List<java.lang.String> rights)` Set the list of rights assigned to the role.
    `AdministratorRole` | `withRights(java.lang.String... rights)` Set the list of rights assigned to the role.
    `AdministratorRole` | `withRoleID(java.lang.Integer roleID)` Set the administrator role ID.
    `AdministratorRole` | `withURN(java.lang.String urn)` Set the administrator role URN.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdministratorRole

          public AdministratorRole()

  - ### Method Detail

    - #### getRoleID

          public java.lang.Integer getRoleID()

      Get the administrator role ID.
      Returns:
        the administrator role ID.

    - #### setRoleID

          public void setRoleID(java.lang.Integer roleID)

      Set the administrator role ID.
      Parameters:
        `roleID` - the administrator role ID.

    - #### withRoleID

          public AdministratorRole withRoleID(java.lang.Integer roleID)

      Set the administrator role ID.
      Parameters:
        `roleID` - the administrator role ID.
      Returns:
        the updated AdministratorRole object.

    - #### getURN

          public java.lang.String getURN()

      Get the administrator role URN.
      Returns:
        the administrator role URN.

    - #### setURN

          public void setURN(java.lang.String urn)

      Set the administrator role URN.
      Parameters:
        `urn` - the administrator role URN.

    - #### withURN

          public AdministratorRole withURN(java.lang.String urn)

      Set the administrator role URN.
      Parameters:
        `urn` - the administrator role URN.
      Returns:
        the updated AdministratorRole object.

    - #### getAllHosts

          public java.lang.Boolean getAllHosts()

      Get the value of the "all hosts" flag.

      When the "all hosts" flag is `true`, rights assigned to the role will apply to all hosts.

      Returns:
        the value of the "all hosts" flag. When the "all hosts" flag is `true`, rights assigned to the role will apply to all hosts.

    - #### setAllHosts

          public void setAllHosts(java.lang.Boolean allHosts)

      Set the value of the "all hosts" flag.

      When the "all hosts" flag is `true`, rights assigned to the role will apply to all hosts.

      Parameters:
        `allHosts` - the value of the "all hosts" flag. When the "all hosts" flag is `true`, rights assigned to the role will apply to all hosts.

    - #### withAllHosts

          public AdministratorRole withAllHosts(java.lang.Boolean allHosts)

      Set the value of the "all hosts" flag.

      When the "all hosts" flag is `true`, rights assigned to the role will apply to all hosts.

      Parameters:
        `allHosts` - the value of the "all hosts" flag. When the "all hosts" flag is `true`, rights assigned to the role will apply to all hosts.
      Returns:
        the updated AdministratorRole object.

    - #### getAllPolicies

          public java.lang.Boolean getAllPolicies()

      Get the value of the "all policies" flag.

      When the "all policies" flag is `true`, rights assigned to the role will apply to all policies.

      Returns:
        the value of the "all policies" flag. When the "all policies" flag is `true`, rights assigned to the role will apply to all policies.

    - #### setAllPolicies

          public void setAllPolicies(java.lang.Boolean allPolicies)

      Set the value of the "all policies" flag.

      When the "all policies" flag is `true`, rights assigned to the role will apply to all policies.

      Parameters:
        `allPolicies` - the value of the "all policies" flag. When the "all policies" flag is `true`, rights assigned to the role will apply to all policies.

    - #### withAllPolicies

          public AdministratorRole withAllPolicies(java.lang.Boolean allPolicies)

      Set the value of the "all policies" flag.

      When the "all policies" flag is `true`, rights assigned to the role will apply to all policies.

      Parameters:
        `allPolicies` - the value of the "all policies" flag. When the "all policies" flag is `true`, rights assigned to the role will apply to all policies.
      Returns:
        the updated AdministratorRole object.

    - #### getAllowGUI

          public java.lang.Boolean getAllowGUI()

      Get the value of the "allow GUI access" flag.

      When the "allow GUI access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager console.

      Returns:
        the value of the "allow GUI access" flag. When the "allow GUI access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager console.

    - #### setAllowGUI

          public void setAllowGUI(java.lang.Boolean allowGUI)

      Set the value of the "allow GUI access" flag.

      When the "allow GUI access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager console.

      Parameters:
        `allowGUI` - the value of the "allow GUI access" flag. When the "allow GUI access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager console.

    - #### withAllowGUI

          public AdministratorRole withAllowGUI(java.lang.Boolean allowGUI)

      Set the value of the "allow GUI access" flag.

      When the "allow GUI access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager console.

      Parameters:
        `allowGUI` - the value of the "allow GUI access" flag. When the "allow GUI access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager console.
      Returns:
        the updated AdministratorRole object.

    - #### getAllowWebService

          public java.lang.Boolean getAllowWebService()

      Get the value of the "allow Web Service access" flag.

      When the "allow Web Service access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager Web Services (SOAP) API.

      Returns:
        the value of the "allow Web Service access" flag. When the "allow Web Service access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager Web Services (SOAP) API.

    - #### setAllowWebService

          public void setAllowWebService(java.lang.Boolean allowWebService)

      Set the value of the "allow Web Service access" flag.

      When the "allow Web Service access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager Web Services (SOAP) API.

      Parameters:
        `allowWebService` - the value of the "allow Web Service access" flag. When the "allow Web Service access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager Web Services (SOAP) API.

    - #### withAllowWebService

          public AdministratorRole withAllowWebService(java.lang.Boolean allowWebService)

      Set the value of the "allow Web Service access" flag.

      When the "allow Web Service access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager Web Services (SOAP) API.

      Parameters:
        `allowWebService` - the value of the "allow Web Service access" flag. When the "allow Web Service access" flag is `true`, administrators with this role will be allowed to access the Deep Security Manager Web Services (SOAP) API.
      Returns:
        the updated AdministratorRole object.

    - #### getDelegate

          public java.lang.Boolean getDelegate()

      Get the value of the "delegate" flag.

      When the "delegate" flag is `true`, administrators with this role will have limited access to view and / or modify other administrator roles. The only roles that they will be able to view / modify are roles with equal or lesser access than their own.

      Returns:
        the value of the "delegate" flag. When the "delegate" flag is `true`, administrators with this role will have limited access to view and / or modify other administrator roles. The only roles that they will be able to view / modify are roles with equal or lesser access than their own.

    - #### setDelegate

          public void setDelegate(java.lang.Boolean delegate)

      Set the value of the "delegate" flag.

      When the "delegate" flag is `true`, administrators with this role will have limited access to view and / or modify other administrator roles. The only roles that they will be able to view / modify are roles with equal or lesser access than their own.

      Parameters:
        `delegate` - the value of the "delegate" flag. When the "delegate" flag is `true`, administrators with this role will have limited access to view and / or modify other administrator roles. The only roles that they will be able to view / modify are roles with equal or lesser access than their own.

    - #### withDelegate

          public AdministratorRole withDelegate(java.lang.Boolean delegate)

      Set the value of the "delegate" flag.

      When the "delegate" flag is `true`, administrators with this role will have limited access to view and / or modify other administrator roles. The only roles that they will be able to view / modify are roles with equal or lesser access than their own.

      Parameters:
        `delegate` - the value of the "delegate" flag. When the "delegate" flag is `true`, administrators with this role will have limited access to view and / or modify other administrator roles. The only roles that they will be able to view / modify are roles with equal or lesser access than their own.
      Returns:
        the updated AdministratorRole object.

    - #### getName

          public java.lang.String getName()

      Get the role's name.
      Returns:
        the role's name.

    - #### setName

          public void setName(java.lang.String name)

      Set the role's name.
      Parameters:
        `name` - the role's name.

    - #### withName

          public AdministratorRole withName(java.lang.String name)

      Set the role's name.
      Parameters:
        `name` - the role's name.
      Returns:
        the updated AdministratorRole object.

    - #### getDescription

          public java.lang.String getDescription()

      Get the role's description.
      Returns:
        the role's description.

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set the role's description.
      Parameters:
        `description` - the role's description.

    - #### withDescription

          public AdministratorRole withDescription(java.lang.String description)

      Set the role's description.
      Parameters:
        `description` - the role's description.
      Returns:
        the updated AdministratorRole object.

    - #### getReadOnly

          public java.lang.Boolean getReadOnly()

      Get the value of the "read-only" flag.

      The Deep Security Manager comes with a default "Full Access" role that is read-only and cannot be deleted or changed. It is not possible to create other read-only roles.

      Returns:
        the value of the "read-only" flag. The Deep Security Manager comes with a default "Full Access" role that is read-only and cannot be deleted or changed. It is not possible to create other read-only roles.

    - #### setReadOnly

          public void setReadOnly(java.lang.Boolean readOnly)

      Set the value of the "read-only" flag.

      The Deep Security Manager comes with a default "Full Access" role that is read-only and cannot be deleted or changed. It is not possible to create other read-only roles.

      Parameters:
        `readOnly` - the value of the "read-only" flag. The Deep Security Manager comes with a default "Full Access" role that is read-only and cannot be deleted or changed. It is not possible to create other read-only roles.

    - #### withReadOnly

          public AdministratorRole withReadOnly(java.lang.Boolean readOnly)

      Set the value of the "read-only" flag.

      The Deep Security Manager comes with a default "Full Access" role that is read-only and cannot be deleted or changed. It is not possible to create other read-only roles.

      Parameters:
        `readOnly` - the value of the "read-only" flag. The Deep Security Manager comes with a default "Full Access" role that is read-only and cannot be deleted or changed. It is not possible to create other read-only roles.
      Returns:
        the updated AdministratorRole object.

    - #### getRights

          public java.util.List<java.lang.String> getRights()

      Get the list of rights assigned to the role.
      Returns:
        the list of rights assigned to the role.

    - #### setRights

          public void setRights(java.util.List<java.lang.String> rights)

      Set the list of rights assigned to the role.
      Parameters:
        `rights` - the list of rights assigned to the role.

    - #### withRights

          public AdministratorRole withRights(java.util.List<java.lang.String> rights)

      Set the list of rights assigned to the role.
      Parameters:
        `rights` - the list of rights assigned to the role.
      Returns:
        the updated AdministratorRole object.

    - #### withRights

          public AdministratorRole withRights(java.lang.String... rights)

      Set the list of rights assigned to the role.
      Parameters:
        `rights` - the list of rights assigned to the role.
      Returns:
        the updated AdministratorRole object.

    - #### getHosts

          public java.util.List<java.lang.Integer> getHosts()

      Get the list of hosts (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hostGroups` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

      Returns:
        the list of hosts (IDs) assigned to the role. You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hostGroups` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

    - #### setHosts

          public void setHosts(java.util.List<java.lang.Integer> hosts)

      Set the list of hosts (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hostGroups` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

      Parameters:
        `hosts` - the list of hosts (IDs) assigned to the role. You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hostGroups` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

    - #### withHosts

          public AdministratorRole withHosts(java.util.List<java.lang.Integer> hosts)

      Set the list of hosts (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hostGroups` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

      Parameters:
        `hosts` - the list of hosts (IDs) assigned to the role. You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hostGroups` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.
      Returns:
        the updated AdministratorRole object.

    - #### withHosts

          public AdministratorRole withHosts(java.lang.Integer... hosts)

      Set the list of hosts (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hostGroups` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

      Parameters:
        `hosts` - the list of hosts (IDs) assigned to the role. You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hostGroups` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.
      Returns:
        the updated AdministratorRole object.

    - #### getHostGroups

          public java.util.List<java.lang.Integer> getHostGroups()

      Get the list of host groups (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hosts` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

      Returns:
        hostGroups the list of host groups (IDs) assigned to the role. You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hosts` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

    - #### setHostGroups

          public void setHostGroups(java.util.List<java.lang.Integer> hostGroups)

      Set the list of host groups (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hosts` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

    - #### withHostGroups

          public AdministratorRole withHostGroups(java.util.List<java.lang.Integer> hostGroups)

      Set the list of host groups (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hosts` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

      Returns:
        hostGroups the list of host groups (IDs) assigned to the role. You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hosts` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

    - #### withHostGroups

          public AdministratorRole withHostGroups(java.lang.Integer... hostGroups)

      Set the list of host groups (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hosts` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

      Returns:
        hostGroups the list of host groups (IDs) assigned to the role. You can limit the scope of permissions for rights that apply to hosts using this attribute in combination with the `hosts` attribute and the `allHosts` flag. If the `allHosts` flag is set to `true`, rights that are assigned to the role will apply to all hosts. When the `allHosts` flag is set to `false`, rights that are assigned to the role will apply only to hosts and host groups set using the `hosts` and `hostGroups` attributes.

    - #### getPolicies

          public java.util.List<java.lang.Integer> getPolicies()

      Get the list of policies (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to policies using this attribute in combination with the `allPolicies` flag. If the `allPolicies` flag is set to `true`, rights that are assigned to the role will apply to all policies. When the `allPolicies` flag is set to `false`, rights that are assigned to the role will apply only to policies set using the `policies` attribute.

      Returns:
        the list of policies (IDs) associated with the role. You can limit the scope of permissions for rights that apply to policies using this attribute in combination with the `allPolicies` flag. If the `allPolicies` flag is set to `true`, rights that are assigned to the role will apply to all policies. When the `allPolicies` flag is set to `false`, rights that are assigned to the role will apply only to policies set using the `policies` attribute.

    - #### setPolicies

          public void setPolicies(java.util.List<java.lang.Integer> policies)

      Set the list of policies (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to policies using this attribute in combination with the `allPolicies` flag. If the `allPolicies` flag is set to `true`, rights that are assigned to the role will apply to all policies. When the `allPolicies` flag is set to `false`, rights that are assigned to the role will apply only to policies set using the `policies` attribute.

      Parameters:
        `policies` - the list of policies (IDs) associated with the role. You can limit the scope of permissions for rights that apply to policies using this attribute in combination with the `allPolicies` flag. If the `allPolicies` flag is set to `true`, rights that are assigned to the role will apply to all policies. When the `allPolicies` flag is set to `false`, rights that are assigned to the role will apply only to policies set using the `policies` attribute.

    - #### withPolicies

          public AdministratorRole withPolicies(java.util.List<java.lang.Integer> policies)

      Set the list of policies (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to policies using this attribute in combination with the `allPolicies` flag. If the `allPolicies` flag is set to `true`, rights that are assigned to the role will apply to all policies. When the `allPolicies` flag is set to `false`, rights that are assigned to the role will apply only to policies set using the `policies` attribute.

      Parameters:
        `policies` - policies the list of policies (IDs) associated with the role. You can limit the scope of permissions for rights that apply to policies using this attribute in combination with the `allPolicies` flag. If the `allPolicies` flag is set to `true`, rights that are assigned to the role will apply to all policies. When the `allPolicies` flag is set to `false`, rights that are assigned to the role will apply only to policies set using the `policies` attribute.
      Returns:
        the updated AdministratorRole object.

    - #### withPolicies

          public AdministratorRole withPolicies(java.lang.Integer... policies)

      Set the list of policies (IDs) associated with the role.

      You can limit the scope of permissions for rights that apply to policies using this attribute in combination with the `allPolicies` flag. If the `allPolicies` flag is set to `true`, rights that are assigned to the role will apply to all policies. When the `allPolicies` flag is set to `false`, rights that are assigned to the role will apply only to policies set using the `policies` attribute.

      Parameters:
        `policies` - policies the list of policies (IDs) associated with the role. You can limit the scope of permissions for rights that apply to policies using this attribute in combination with the `allPolicies` flag. If the `allPolicies` flag is set to `true`, rights that are assigned to the role will apply to all policies. When the `allPolicies` flag is set to `false`, rights that are assigned to the role will apply only to policies set using the `policies` attribute.
      Returns:
        the updated AdministratorRole object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.